#!/bin/bash
[[ "-x" == "${1}" ]] && set -x && set -v && shift 1
count=1
for X in /sys/class/scsi_host/host?/scan
do
echo '- - -' > ${X}
done


for X in /dev/sd?
do
list+=$(echo $X " ")
done

for X in /dev/sd??
do
list+=$(echo $X " ")
done

for X in $list
do
echo "========"
echo $X
echo "========"
if [[ -b ${X} && `/sbin/parted -s ${X} print quit|/bin/grep -c boot` -ne 0 || (`echo ${X} | grep "1"`) || (`echo ${X} | grep "2"`)
]]
then
echo "$X bootable - skipping."
continue
else
Y=${X##*/}1
echo "Formatting and Mounting Drive => ${X}"
echo "y" | mkfs.ext4 -b 4096 -O dir_index,extent ${X} &
(( $? )) && continue

fi
done

